<p mat-dialog-title>Neue Berechnung erzeugen!</p>
<mat-dialog-content class="mat-typography">
<mat-form-field>
  <mat-label>Iterationen</mat-label>
  <input matInput type="number" min="1" placeholder="1" [(ngModel)]="data.iterations" required #iterations=ngModel>
  <div *ngIf="iterations.invalid && (iterations.dirty || iterations.touched)" class="error">
    <div *ngIf="iterations.hasError('required')">
      Das Feld Iteration muss ausgefüllt sein!
    </div>
    <div *ngIf="iterations.hasError('min')">
      Der Wert im Feld Iteration muss 1 oder größer sein
    </div>
  </div>
</mat-form-field>
  <br>
<mat-form-field>
  <mat-label>Präzision</mat-label>
  <input matInput type="number" min="1" placeholder="1" [(ngModel)]="data.precision" required #precision=ngModel>
  <div *ngIf="precision.invalid && (precision.dirty || precision.touched)" class="error">
    <div *ngIf="precision.hasError('required')">
      Das Feld Präzision muss ausgefüllt sein!
    </div>
    <div *ngIf="precision.hasError('min')">
      Der Wert im  Feld Präzsion muss 1 oder größer sein
    </div>
  </div>
</mat-form-field>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button style="margin-right: 10px;" mat-flat-button (click)="onCloseClick()">Abbrechen</button>
  <button style="margin-right: 10px;" color="success" mat-flat-button [disabled]="checkElements([iterations, precision])" [mat-dialog-close]="data" (click)="onCreateClick()">Absenden</button>
</mat-dialog-actions>
